{% extends 'match/base.html' %}
{% load static %}
{% block content %}

<form class="form-signin" method="post" enctype="multipart/form-data">
    {% csrf_token %}
    <h1>Questionnaire for {{for}}</h1>
    <p>Your response will be sent via fedi DM from the <a href="https://noagendasocial.com/web/@FediFinder">QuizBot</a>, please use this responsibly.</p>
    <p>Responses will only be sent if the bot's instance is online and depending on load the request may take some time. The page may hang for up to 60s after you hit submit, do not worry.
       You will be redirected to either an error or success page and if it succeeds you will be tagged in the post.</p>
    <p>You are limited to {{ans_len}} characters per answer; if you try to input more, your text will be cut off.</p>
    {% for question in quiz %}
		<h4>{{question}}</h4>
		<textarea name="q{{forloop.counter}}" id="id_input_q{{forloop.counter}}" cols="100" rows="{{ans_row}}" maxlength="{{ans_len}}"></textarea>
	{% endfor %}
    <br>
    <input type="submit" value="Submit">
</form>

{% endblock content %}
